Speko Docs
API Reference

Errors API

Look up any error code: its category, whether retrying can help, and what to do.

GET
/v1/errors

Response Body

application/json

{
  "coverage": {
    "total": 0,
    "documented": 0,
    "byCategory": {
      "property1": {
        "total": 0,
        "documented": 0
      },
      "property2": {
        "total": 0,
        "documented": 0
      }
    }
  },
  "errors": [
    {
      "code": "string",
      "category": "auth",
      "retryable": true,
      "documented": true,
      "docs_url": "http://example.com",
      "meaning": "string",
      "hint": "string"
    }
  ]
}
GET
/v1/errors/{code}

Path Parameters

code*string

Error code, for example PIPELINE_CONFIG_TOO_LARGE.

Response Body

application/json

application/json

{
  "code": "string",
  "category": "auth",
  "retryable": true,
  "documented": true,
  "docs_url": "http://example.com",
  "meaning": "string",
  "hint": "string",
  "sources": [
    "string"
  ]
}
{
  "error": "No such error code.",
  "code": "NOT_FOUND"
}